//
//  StatusEnum.swift
//  Sailassist
//
//  Created by 三浦薫巳 on 2024/02/28.
//

import Foundation

enum EcaOperation {
    case Insert
    case Delete
    case Running    //ECA開始
    case Notice
    case Start
    case Finish
    case End
    case Incomplete
    case Change
    case Cancel
}

enum NgaOperation {
    case Change
    case Delete
    case Running
    case Cancel
    case Passing
}

enum ShipAlert {
    case Offline
    case Unknown
    case Normal
    case Caution
    case Warrning
    case Alarm
    case Emergency
    case NecstEmergency
}

enum AlertStatusType {
    case Unknown
    case Normal
    case Caution
    case Warrning
    case Alarm
    case Emergency
}
//        |status|Ssv.Data.Enum.ShipAlarmStatus.cs (Offline = -1, Unknown = 0, Normal = 1, Caution = 2, Warning = 3, Alarm = 4, Emergency = 5, NecstEmergency = 6)|
//        |totalRmsAlarm|Ssv.Data.Enum.AlertStatusType.cs (Unknown = 0, Normal = 1, Caution = 2, Warning = 3, Alarm = 4, Emergency = 5)|
